using System;
namespace ZXDT.CallCenter.Model
{
	/// <summary>
	/// T_Good_TransInfo:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public partial class T_Good_TransInfo
	{
		public T_Good_TransInfo()
		{}
		#region Model
		private int _id;
		private string _f_groupkey;
		private int? _f_tstatus;
		private string _f_tstatusname;
		private int? _f_reciveddepid;
		private string _f_reciveddepname;
		private int? _f_reciveduserid;
		private string _f_recivedusername;
		private DateTime? _f_reciveddate;
		private DateTime? _f_createdate;
		private string _f_remark;
		private string _f_otherdeptname;
		private int? _f_goodinfoid;
		/// <summary>
		/// 
		/// </summary>
        public int F_Id
		{
			set{ _id=value;}
			get{return _id;}
		}
		/// <summary>
		/// 组id
		/// </summary>
		public string F_GroupKey
		{
			set{ _f_groupkey=value;}
			get{return _f_groupkey;}
		}
		/// <summary>
		/// 转移状态
		/// </summary>
		public int? F_TStatus
		{
			set{ _f_tstatus=value;}
			get{return _f_tstatus;}
		}
		/// <summary>
		/// 转移状态名称
		/// </summary>
		public string F_TStatusName
		{
			set{ _f_tstatusname=value;}
			get{return _f_tstatusname;}
		}
		/// <summary>
		/// 接受部门id
		/// </summary>
		public int? F_RecivedDepId
		{
			set{ _f_reciveddepid=value;}
			get{return _f_reciveddepid;}
		}
		/// <summary>
		/// 接受部门名称
		/// </summary>
		public string F_RecivedDepName
		{
			set{ _f_reciveddepname=value;}
			get{return _f_reciveddepname;}
		}
		/// <summary>
		/// 接受人id
		/// </summary>
		public int? F_RecivedUserID
		{
			set{ _f_reciveduserid=value;}
			get{return _f_reciveduserid;}
		}
		/// <summary>
		/// 接收人姓名
		/// </summary>
		public string F_RecivedUserName
		{
			set{ _f_recivedusername=value;}
			get{return _f_recivedusername;}
		}
		/// <summary>
		/// 接收日期
		/// </summary>
		public DateTime? F_RecivedDate
		{
			set{ _f_reciveddate=value;}
			get{return _f_reciveddate;}
		}
		/// <summary>
		/// 添加日期
		/// </summary>
		public DateTime? F_CreateDate
		{
			set{ _f_createdate=value;}
			get{return _f_createdate;}
		}
		/// <summary>
		/// 备注说明
		/// </summary>
		public string F_Remark
		{
			set{ _f_remark=value;}
			get{return _f_remark;}
		}
		/// <summary>
		/// 外部单位名称
		/// </summary>
		public string F_OtherDeptName
		{
			set{ _f_otherdeptname=value;}
			get{return _f_otherdeptname;}
		}
		/// <summary>
		/// 物品id
		/// </summary>
		public int? F_GoodInfoId
		{
			set{ _f_goodinfoid=value;}
			get{return _f_goodinfoid;}
		}
        /// <summary>
        /// 要操作的数据行
        /// </summary>
        public string KeyList
        {
            get;
            set;
        }
        /// <summary>
        /// 类型
        /// </summary>
        public int types
        {
            get;
            set;
        }
		#endregion Model

	}
}

